# Class WizardNewLinkPage

java.lang.Object
org.eclipse.jface.dialogs.DialogPage
org.eclipse.jface.wizard.WizardPage
org.eclipse.ui.dialogs.WizardNewLinkPage

All Implemented Interfaces:
  `IDialogPage, IMessageProvider, IWizardPage`

public class WizardNewLinkPage extends WizardPage
Standard resource link page for a wizard that creates a file or folder resource.

This class may be instantiated; it is not intended to be subclassed.

Since:
  2.1
Restriction:
  This class is not intended to be subclassed by clients.

## Field Summary

### Fields inherited from interface IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

## Constructor Summary

Constructors
Constructor
Description
`WizardNewLinkPage(String pageName, int type)`
Creates a new resource link wizard page.

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(Composite parent)`
Creates the top level control for this dialog page under the given parent composite.
`String`
`getLinkTarget()`
Returns the link target location entered by the user.
`void`
`setContainer(IContainer container)`
Sets the container to use for link validation.
`void`
`setLinkTarget(String target)`
Sets the value of the link target field

### Methods inherited from class WizardPage

`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

### Methods inherited from class DialogPage

`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface IDialogPage

`dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

### Methods inherited from interface IWizardPage

`getMinimumPageSize`

## Constructor Details

### WizardNewLinkPage

public WizardNewLinkPage(String pageName, int type)
Creates a new resource link wizard page.

Parameters:
  `pageName` - the name of the page
  `type` - specifies the type of resource to link to. `IResource.FILE` or `IResource.FOLDER`

## Method Details

### createControl

public void createControl(Composite parent)
Description copied from interface: `IDialogPage`
Creates the top level control for this dialog page under the given parent composite.

Implementors are responsible for ensuring that the created control can be accessed via `getControl`

Parameters:
  `parent` - the parent composite

### getLinkTarget

public String getLinkTarget()
Returns the link target location entered by the user.

Returns:
  the link target location entered by the user. null if the user choose not to create a link.

### setContainer

public void setContainer(IContainer container)
Sets the container to use for link validation. This should be the parent of the new resource that is being linked.

Parameters:
  `container` - the container to use for link validation.

### setLinkTarget

public void setLinkTarget(String target)
Sets the value of the link target field

Parameters:
  `target` - the value of the link target field